=== debian/changelog ===
golang-code.rocketnine-tslocum-cview (1.5.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Jun 2021 14:17:33 +0530

golang-code.rocketnine-tslocum-cview (1.5.4-1) unstable; urgency=medium

  * Initial release (Closes: #985182)

 -- Micheal Waltz <ecliptik@gmail.com>  Tue, 06 Apr 2021 22:12:59 -0700
