=== debian/control ===
Source: golang-code.rocketnine-tslocum-cview
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-lucasb-eyer-go-colorful-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-rivo-uniseg-dev,
               golang-code.rocketnine-tslocum-cbind-dev
Standards-Version: 4.5.1
Homepage: https://code.rocketnine.space/tslocum/cview
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-code.rocketnine-tslocum-cview
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-code.rocketnine-tslocum-cview.git
XS-Go-Import-Path: code.rocketnine.space/tslocum/cview
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-code.rocketnine-tslocum-cview-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-gdamore-tcell.v2-dev,
         golang-github-lucasb-eyer-go-colorful-dev,
         golang-github-mattn-go-runewidth-dev,
         golang-github-rivo-uniseg-dev,
         golang-code.rocketnine-tslocum-cbind-dev
Description: Terminal-based user interface toolkit for Golang
 cview is a fork of tview (https://github.com/rivo/tview),
 which provides commonly needed components for terminal
 based user interfaces in Go.
