=== debian/watch ===
version=4
https://code.rocketnine.space/tslocum/cview/releases .*/v(.*).tar.gz
